#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-latexindent
Version		:	3.22.1
Release		:	17.2.0.rel%{?dist}
Summary		:	perl script to beautify/tidy/format/indent 

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-3.0
URL		:	https://github.com/cmhughes/latexindent.pl

Source0		:	%{sname}.pl-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl

#-----------------------------------------------------------------------------
%description
latexindent.pl is a perl script to beautify/tidy/format/indent
(add horizontal leading space to) code within environments,
commands, after headings and within special code blocks.

It has the ability to align delimiters in environments and
commands, and can modify line breaks including text wrapping and
one-sentence-per-line.

It can also perform string-based and regex-based
substitutions/replacements.
The script is customisable through its YAML interface.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%{_bindir}/%{sname}.pl
%{_datadir}/perl5/core_perl/LatexIndent/*.pm
%{_datadir}/perl5/core_perl/LatexIndent/.perltidyrc
%{_datadir}/perl5/core_perl/LatexIndent/defaultSettings.yaml
%{_datadir}/perl5/core_perl/%{sname}.pl

#=============================================================================
%prep
%setup -q -n %{sname}.pl-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install


find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
